.footer {
  .footer-logo {
    background-repeat: no-repeat;
    vertical-align: middle;
    margin-right: 1rem;
    flex-grow: 0;
    background-position: center;
    
    &.opencraft-logo {
      background-image: url('../lms/static/images/opencraft-logo.png');
      width: 74px;
      height: 60px;
      
    }

    &.edx-logo {
      background-image: url('../lms/static/images/edx-logo.png');
      width: 175px;
      height: 60px;
    }
  }

  .copyright-section {
    display: flex;
    flex-direction: row;

    &:last-of-type {
      justify-content: flex-end;
    }
  }
  
  .copyright-text {
    display: inline-block;
    align-self: center;
  }
}


.footer {
  background-color: $footer-bg;
  color: $font-color-footer;

  .theme-copyright {
    font-size: 12px;
  }

  .footer-separator {
    width: 100%;
    height: 1px;
    background-color: $font-color-footer;
    opacity: 0.25;
    margin-top: 36px;
    margin-bottom: 36px;
  }
  
  a {
    color: $font-color-footer;
  }

  .legal-links{
    display: flex;
    font-size: 12px;
    justify-content: flex-end;
    
    [dir="rtl"] {
      justify-content: flex-start;
    }
      
    @include media-breakpoint-down(md) {
      justify-content: flex-start;
      [dir="rtl"] {
        justify-content: flex-end;
      }
    }
  }

  .social-links {
    font-size: 25px;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-bottom: 10px;
    @include media-breakpoint-down(md) {
      justify-content: flex-start;
    }
    
    
    a {
      color: $btn-primary-bg;
    }
  }

  .navigation-links {
    display: flex;
    align-items: center;
  }
}


.wrapper-footer {
  border-top: none;
  box-shadow: none;
  background-color: $footer-bg;
  padding-left: $body-padding;
  padding-right: $body-padding;
  padding-top: 65px;

  footer {
    .site-nav .nav-item .nav-link{
      color: $font-color-footer;
    }
    .copyright {
      color: $font-color-footer;
    }
  }
  
  footer#footer-openedx {
    ul a {
      color: $font-color-footer;
    }
    .colophon .nav-colophon li a {
      color: $font-color-footer;
      
      &:hover {
        color: $font-color-footer-hover;
      }
        
    }
    .copyright {
      color: $font-color-footer;
    }
  }
}
